
Application: gvSIG desktop - gvSIG bugs #4098
Geometry type of Shape does not match the geometry found in the shape
02/08/2016 04:55 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Geoprocess
Target version: 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2421 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
How to reproduce it:
    -  add the layer in attachment (edifici.shp) in a view;
    -  execute the "Transform" (Affine transformation) geoprocess and try to apply e.g. a translation of 10 m along the x axis.
Results: 
    -  the result layer is loaded in the ToC, but not visible in the view;
    -  there's the following warning in the gvSIG.log:

[...] Geometry type of Shape (5) does not match the geometry found (15) in the shape [...]

Related to #3838 ("Random vector layer" geoprocess).

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3838: Random layers gene... Closed 10/28/2015
Related to Application: gvSIG desktop - gvSIG bugs # 4151: Exeption Reading s... Closed 02/29/2016

Associated revisions
Revision 187 - 06/14/2016 05:41 PM - Francisco Díaz Carsí

refs #4098 Introducing subtypes in toolbox algorithm

Revision 854 - 06/14/2016 05:41 PM - Francisco Díaz Carsí

refs #4098 Introducing subtypes in toolbox algorithm

Revision 42811 - 06/15/2016 04:42 PM - Joaquín  del Cerro Murciano

refs #4098, #4151, #4156 . Modificaciones para que la gestion de capas con errores funcione de nuevo, presentando al usuario los errores
producidos. Se han mejorado los mensajes de error en el proveedor de shape, dando informacion en ellos de como el usuario puede rodear el
problema cuando esto es posible. Asi mismo se ha añadido la posibilidad de que en caliente se puedan corregir algunos problemas y se pueda volver
a recargar la capa sin tener que quitarla y volverla a cargar.
History
#1 - 02/10/2016 12:11 PM - Álvaro Anguix
- Related to gvSIG bugs #3838: Random layers generated from the toolbox are not loaded in the view added

#2 - 02/10/2016 02:48 PM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí

#3 - 03/14/2016 04:48 PM - Antonio Falciano

This issue always happens in build 2426, differently from #3838. The only difference is that the warning is more explanatory than in the past:

[...] Saving a geometry of type 'POLYGON3D' in a shape of type 'POLYGON2D' [...]

#4 - 03/14/2016 05:16 PM - Antonio Falciano

...but thanks to gvsig-desktop:r42756 I can easily see that edifici.shp is of MultiSurface3DM type, so the getShapeType() method used in the Transform
algorithm is not able to get also the geometry subtype (not only the type) of the input layer. So IMHO this method needs some little improvements in
order to support the new geometries.

#5 - 06/14/2016 05:47 PM - Francisco Díaz Carsí
He introducido los subtipos en la creación de capas de toolbox.
He arreglado los algoritmos:
    -  GeometriesToPointsAlgorithm
    -  GroupNearFeaturesAlgorithm y
    -  TransformAlgorithm

En principio lo he intentado dejar para que los algoritmos que no he tocado se sigan comportando igual que antes, o sea, si funcionaban solo en 2D
sigan funcionando en 2D.

Habría que ir probando el resto de algoritmos y arreglándolos si es necesario.

#6 - 06/14/2016 05:50 PM - Francisco Díaz Carsí

No pongo el tiquet a fixed a la espera de tomar una decisión al respecto (sobre lo de repasar todos los algoritmos).

#7 - 06/15/2016 05:17 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4151: Exeption Reading shapefile.shp added

#8 - 06/15/2016 05:19 PM - Joaquín  del Cerro Murciano

Los arreglos de #4151, permitirian cargar las capas "dañadas" que generan estos geoprocesos.

#9 - 06/16/2016 10:06 AM - Álvaro Anguix
- Target version deleted (2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153))

#10 - 06/20/2016 12:08 PM - Joaquín  del Cerro Murciano
- Assignee deleted (Francisco Díaz Carsí)

#11 - 06/28/2016 04:09 PM - Antonio Falciano
Hi all,
this is the situation in build 2433:
    -  the result layer is loaded in the ToC, but not visible in the view (so the issue persists);
    -  the warning described above is disappeared from the gvSIG.log (so we can't understand what's happened from the log);
    -  the checkboxes in Advanced properties of layer don't allow to load the result layer (because the layer is not "damaged").

Note: the result layer can be read in other applications (tested in OpenJUMP and QGIS), so it's not malformed.

#12 - 10/06/2016 05:44 PM - Antonio Falciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from New to Closed

The issue is disappeared in gvSIG 2.3 final, so I close the ticket.

Files
edifici.zip 132 KB 02/08/2016 Antonio Falciano
